class DynamicMenusController < ApplicationController
  protect_from_forgery
  PATH = File.realpath("#{File.dirname(__FILE__)}/../views/dynamic_menus")
  
  def index
    @menus = DynamicMenu.all
    @menus.sort do |menu1, menu2|
      menu1.title!.to_s.downcase <=> menu2.title!.to_s.downcase
    end
    
    respond_to do |format|
      format.html{ render "#{PATH}/index.html.haml" }
    end
  end
  
    # GET /dynamic_menu/1
  # GET /dynamic_menu/1.json
  def show
    @dynamic_menu = DynamicMenu.find(params[:id])

    respond_to do |format|
      format.html { render "#{PATH}/show.html.haml" }
      format.json { render json: @dynamic_menu }
    end
  end

  # GET /dynamic_menu/new
  # GET /dynamic_menu/new.json
  def new
    @dynamic_menu = DynamicMenu.new

    respond_to do |format|
      format.html { render "#{PATH}/new.html.haml" }
      format.json { render json: @dynamic_menu }
    end
  end

  # GET /dynamic_menu/1/edit
  def edit
    @dynamic_menu = DynamicMenu.find(params[:id])
    
    respond_to do |format|
      format.html { render "#{PATH}/edit.html.haml" }
    end
  end

  # POST /dynamic_menu
  # POST /dynamic_menu.json
  def create
    @dynamic_menu = DynamicMenu.new(params[:dynamic_menu])

    respond_to do |format|
      if @dynamic_menu.save
        format.html { redirect_to @dynamic_menu, notice: 'DynamicMenu was successfully created.' }
        format.json { render json: @dynamic_menu, status: :created, location: @dynamic_menu }
      else
        format.html { render "#{PATH}/new.html.haml" }
        format.json { render json: @dynamic_menu.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /dynamic_menu/1
  # PUT /dynamic_menu/1.json
  def update
    @dynamic_menu = DynamicMenu.find(params[:id])

    respond_to do |format|
      if @dynamic_menu.update_attributes(params[:dynamic_menu])
        format.html { redirect_to @dynamic_menu, notice: 'DynamicMenu was successfully updated.' }
        format.json { head :no_content }
      else
        format.html { render "#{PATH}/edit.html.haml" }
        format.json { render json: @dynamic_menu.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /dynamic_menu/1
  # DELETE /dynamic_menu/1.json
  def destroy
    @dynamic_menu = DynamicMenu.find(params[:id])
    @dynamic_menu.destroy

    respond_to do |format|
      format.html { redirect_to dynamic_menu_index_url }
      format.json { head :no_content }
    end
  end
end